function make(b)
% MAKE(ARG)
% compile transformic MEX files on Windows
%    
% ARG - 1 make, compile MEX files [default]
%       0 make clean, remove MEX files
%
% See also Makefile for compiling on Linux
%
    
    if nargin<1 || isempty(b)
        b = 1;
    end
    
    if(b)
        % 1 - make
        
        % compile mex files
        mex transformic_vote_mean.cpp vgg_interp2_c_db.cpp ...
            transformic_patchmatch_patchtr_db.cpp transformic_patchmatch_patchfl_db.cpp transformic_patchmatch_patchil_db.cpp transformic_patchmatch_patchrot_db.cpp transformic_patchmatch_patchsc_db.cpp transformic_patchmatch_patchsim_db.cpp transformic_patchmatch_patchsimb_db.cpp;
        
        mex transformic_vote_median.cpp vgg_interp2_c_db.cpp ...
            transformic_patchmatch_patchtr_db.cpp transformic_patchmatch_patchfl_db.cpp transformic_patchmatch_patchil_db.cpp transformic_patchmatch_patchrot_db.cpp transformic_patchmatch_patchsc_db.cpp transformic_patchmatch_patchsim_db.cpp transformic_patchmatch_patchsimb_db.cpp;
        
        mex transformic_vote_weightedmedian.cpp vgg_interp2_c_db.cpp ...
            transformic_patchmatch_patchtr_db.cpp ...
            transformic_patchmatch_patchfl_db.cpp transformic_patchmatch_patchil_db.cpp transformic_patchmatch_patchrot_db.cpp transformic_patchmatch_patchsc_db.cpp transformic_patchmatch_patchsim_db.cpp transformic_patchmatch_patchsimb_db.cpp;
        
        mex transformic_vote_max.cpp vgg_interp2_c_db.cpp ...
            transformic_patchmatch_patchtr_db.cpp ...
            transformic_patchmatch_patchfl_db.cpp ...
            transformic_patchmatch_patchil_db.cpp transformic_patchmatch_patchrot_db.cpp transformic_patchmatch_patchsc_db.cpp transformic_patchmatch_patchsim_db.cpp transformic_patchmatch_patchsimb_db.cpp;
        
        mex transformic_vote_mode.cpp vgg_interp2_c_db.cpp ...
            transformic_patchmatch_patchtr_db.cpp ...
            transformic_patchmatch_patchfl_db.cpp ...
            transformic_patchmatch_patchil_db.cpp transformic_patchmatch_patchrot_db.cpp transformic_patchmatch_patchsc_db.cpp transformic_patchmatch_patchsim_db.cpp transformic_patchmatch_patchsimb_db.cpp;
        
        mex -output transformic_pmnn_oo transformic_pmnn.cpp vgg_interp2_c_db.cpp ...
            transformic_patchmatch_patchtr_db.cpp ...
            transformic_patchmatch_patchfl_db.cpp transformic_patchmatch_patchil_db.cpp transformic_patchmatch_patchrot_db.cpp transformic_patchmatch_patchsc_db.cpp transformic_patchmatch_patchsim_db.cpp transformic_patchmatch_patchsimb_db.cpp;
        
        mex transformic_get_patch.cpp vgg_interp2_c_db.cpp transformic_patchmatch_patchtr_db.cpp transformic_patchmatch_patchfl_db.cpp transformic_patchmatch_patchil_db.cpp transformic_patchmatch_patchrot_db.cpp transformic_patchmatch_patchsc_db.cpp transformic_patchmatch_patchsim_db.cpp transformic_patchmatch_patchsimb_db.cpp;
        
    else
        % 0 - make clean
        
        !del transformic*.mexw32
    end
    
end