
% transformic demo
%
% first make MEX files by running make in MATLAB (Windows) or
% using the Makefile (Linux)
%
% the results should match the included clock_tr.bmp and clock_rot.bmp
%
% Author: Alex Mansfield
% Created: August 2011

%    ---------------------------------------------------------------------
%
%    MATLAB/MEX Transforming image completion
%    Copyright (C) 2011 Alex Mansfield (alex.mansfield@vision.ee.ethz.ch)
%    This program is free software: you can redistribute it and/or modify
%    it under the terms of the GNU General Public License as published by
%    the Free Software Foundation, either version 3 of the License, or
%    (at your option) any later version.
%
%    This program is distributed in the hope that it will be useful,
%    but WITHOUT ANY WARRANTY; without even the implied warranty of
%    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%    GNU General Public License for more details.
%
%    You should have received a copy of the GNU General Public License
%    along with this program.  If not, see http://www.gnu.org/licenses/.
%
%    ---------------------------------------------------------------------

A = imread('images/clock.bmp');
Amask = imread('images/clock_hole.bmp');

disp('Completing with translation');
tic;
T = transformic_inpaint(A,Amask,[],[],[],[],[],[],15);
toc;

disp('Completing with rotation (GPM1000)');
tic;
T2 = transformic_inpaint(A,Amask,1,[],[],[],0,0,15,[],[],[],[],1000);
toc;

figure;

subplot(1,4,1);
imshow(uint8(A));
axis equal;
title('image');

subplot(1,4,2);
imshow(uint8(Amask));
axis equal;
title('mask');

subplot(1,4,3);
imshow(uint8(T));
axis equal;
title('completed with translation');

subplot(1,4,4);
imshow(uint8(T2));
axis equal;
title('completed with rotation (GPM1000)');