
/*    ---------------------------------------------------------------------
 *
 *    MATLAB/MEX Transforming image completion
 *    Copyright (C) 2011 Alex Mansfield (alex.mansfield@vision.ee.ethz.ch)
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see http://www.gnu.org/licenses/.
 *
 *    ---------------------------------------------------------------------
 */

#include "transformic_pmnn.h"

#include "mex.h"

template<class patch>
void transformic_get_patch(images const & x, double const * const nnparams, double * const Spatch)
{
    patch p;
	double * p_parameters = new double[patch::num_parameters+1];
    
    int sr = (int)nnparams[0];
    int sc = (int)nnparams[1];
	int s = 0;
	if( (sr>0)&&(sr<x.SR)&&(sc>0)&&(sc<x.SC) )
		s = x.Sindimage[index2(sr,sc,x.SR)];

	if( s>=0 )
	{
		p_parameters[0] = (double)sr;
		p_parameters[1] = (double)sc;
		p_parameters[2] = (double)s;
		for( int i=2; i<patch::num_parameters; i++ )
		{
			p_parameters[i+1] = nnparams[i];
		}
		p.assign_parameters(p_parameters);
    
		p.get_patch(x,x.Sdb,Spatch);
	}
    
    delete [] p_parameters;
}
