
% B = TRANSFORMIC_IMDILATE(A,WIDTH)
%     Dilates a binary image with a square impulse response with
%     the specified width.
%
% Author: Alex Mansfield
% Created: August 2011

%    ---------------------------------------------------------------------
%
%    MATLAB/MEX Transforming image completion
%    Copyright (C) 2011 Alex Mansfield (alex.mansfield@vision.ee.ethz.ch)
%    This program is free software: you can redistribute it and/or modify
%    it under the terms of the GNU General Public License as published by
%    the Free Software Foundation, either version 3 of the License, or
%    (at your option) any later version.
%
%    This program is distributed in the hope that it will be useful,
%    but WITHOUT ANY WARRANTY; without even the implied warranty of
%    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%    GNU General Public License for more details.
%
%    You should have received a copy of the GNU General Public License
%    along with this program.  If not, see http://www.gnu.org/licenses/.
%
%    ---------------------------------------------------------------------

function B = transformic_imdilate(A,width)

    offset = (width-1)/2;
    
    [R C] = size(A);
    
    B = A;
    
    for c=1:C
        for r=1:R
            if( A(r,c)==1 )
               
                for co=-offset:offset
                    for ro=-offset:offset
                        cb = c+co;
                        rb = r+ro;
                        
                        if( cb>0 && cb<=C && rb>0 && rb<=R )
                            B(rb,cb) = 1;
                        end
                    end
                end
                
            end
        end
    end
    
end